package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcKyz;
import org.dromara.system.domain.vo.TblDzbcKyzVo;
import org.dromara.system.domain.bo.TblDzbcKyzBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-客运站Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcKyzService {

    /**
     * 查询定制班车-客运站
     */
    TblDzbcKyzVo queryById(Long id);

    /**
     * 查询定制班车-客运站列表
     */
    TableDataInfo<TblDzbcKyzVo> queryPageList(TblDzbcKyzBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-客运站列表
     */
    List<TblDzbcKyzVo> queryList(TblDzbcKyzBo bo);

    /**
     * 新增定制班车-客运站
     */
    Boolean insertByBo(TblDzbcKyzBo bo);

    /**
     * 修改定制班车-客运站
     */
    Boolean updateByBo(TblDzbcKyzBo bo);

    /**
     * 校验并批量删除定制班车-客运站信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
